Bug 139620 - [GTK] build fails with error: xgettext: Non-ASCII string at ../../../WebKit2/UIProcess/API/gtk/WebKitAuthenticationDialog.cpp:131.
Summary: [GTK] build fails with error: xgettext: Non-ASCII string at ../../../WebKit2/...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-13 02:11 PST by Byungseon Shin
Modified: 2014-12-16 05:20 PST (History)
8 users (show)

See Also:


Attachments
Patch (1.84 KB, patch)
2014-12-13 02:20 PST, Byungseon Shin
no flags Details | Formatted Diff | Diff
Patch (1.16 KB, patch)
2014-12-15 05:17 PST, Carlos Garcia Campos
gns: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Byungseon Shin 2014-12-13 02:11:56 PST
[GTK] build fails with error: xgettext: Non-ASCII string at ../../../WebKit2/UIProcess/API/gtk/WebKitAuthenticationDialog.cpp:131.
This error is came from r177161.
Comment 1 Byungseon Shin 2014-12-13 02:20:20 PST
Created attachment 243254 [details]
Patch
Comment 2 WebKit Commit Bot 2014-12-13 02:22:25 PST
Thanks for the patch. If this patch contains new public API please make sure it follows the guidelines for new WebKit2 GTK+ API. See http://trac.webkit.org/wiki/WebKitGTK/AddingNewWebKit2API
Comment 3 Gustavo Noronha (kov) 2014-12-15 03:26:00 PST
Comment on attachment 243254 [details]
Patch

That doesn't cause issues to the build on the bots, nor for the developers or downstreams, could it be you have a very old version of xgettext, for instance?
Comment 4 Byungseon Shin 2014-12-15 04:46:49 PST
FYI, I am using following systems:
OS: ubuntu 14.04 LTS
gettext version: 0.18.3
LANG: en_US.UTF-8

When I try to update gettext version, the system says following:
sudo apt-get install gettext
Reading package lists... Done
Building dependency tree       
Reading state information... Done
gettext is already the newest version.
The following packages were automatically installed and are no longer required:
  libasyncns0:i386 libatk-bridge2.0-0:i386 libatspi2.0-0:i386 libaudio2:i386
  libcaca0:i386 libcairo-gobject2:i386 libcolord1:i386 libdbusmenu-gtk3-4:i386
  libdevmapper1.02.1:i386 libdrm-intel1:i386 libdrm-nouveau2:i386
  libdrm-radeon1:i386 libelf1:i386 libflac8:i386 libgl1-mesa-dri:i386
  libgl1-mesa-glx:i386 libglapi-mesa:i386 libgtk-3-0:i386 liblcms2-2:i386
  libllvm3.4:i386 libmysqlclient18:i386 libogg0:i386 libpciaccess0:i386
  libpulse0:i386 libpython2.7:i386 libpython2.7-minimal:i386
  libpython2.7-stdlib:i386 libqt4-declarative:i386 libqt4-network:i386
  libqt4-opengl:i386 libqt4-script:i386 libqt4-sql:i386 libqt4-sql-mysql:i386
  libqt4-xml:i386 libqt4-xmlpatterns:i386 libqtcore4:i386 libqtdbus4:i386
  libqtgui4:i386 libreadline6:i386 libsdl1.2debian:i386 libsndfile1:i386
  libtxc-dxtn-s2tc0:i386 libvorbis0a:i386 libvorbisenc2:i386
  libwayland-client0:i386 libwayland-cursor0:i386 libwrap0:i386
  libx11-xcb1:i386 libxcb-dri2-0:i386 libxcb-dri3-0:i386 libxcb-glx0:i386
  libxcb-present0:i386 libxcb-sync1:i386 libxkbcommon0:i386 libxml2:i386
  libxmu6:i386 libxshmfence1:i386 libxxf86vm1:i386 linux-image-generic
  mysql-common
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 2 not upgrade

So, I don't think it is a matter of gettext but a language configurations.
More strangely, I has been compiling webkit-gtk quite a long time and found this error very recently.

So, how about fix this problem at this time, even if it does not happens everywhere to prevent some other victims will loose their time.
Comment 5 Carlos Garcia Campos 2014-12-15 05:16:55 PST
(In reply to comment #4)
> FYI, I am using following systems:
> OS: ubuntu 14.04 LTS
> gettext version: 0.18.3
> LANG: en_US.UTF-8

> So, I don't think it is a matter of gettext but a language configurations.
> More strangely, I has been compiling webkit-gtk quite a long time and found
> this error very recently.
> 
> So, how about fix this problem at this time, even if it does not happens
> everywhere to prevent some other victims will loose their time.

Yes, we should fix it, but removing the utf8 chars from translatable strings is not a solution but a workaround, because we should be able to use utf8.
Comment 6 Carlos Garcia Campos 2014-12-15 05:17:42 PST
Created attachment 243289 [details]
Patch

Passing --from-code=UTF-8 to xgettext should work
Comment 7 Byungseon Shin 2014-12-15 05:36:40 PST
OK.. I agree with your approach.
Comment 8 Carlos Garcia Campos 2014-12-15 05:39:31 PST
Committed r177277: <http://trac.webkit.org/changeset/177277>
Comment 9 Michael Catanzaro 2014-12-16 05:20:38 PST
(In reply to comment #6)
> Passing --from-code=UTF-8 to xgettext should work

Yes, this was the correct fix. At some point that was already in my patch, but since it's been several months I don't know how it got lost; sorry.